QGIS Application - Feature request #1137
Ordering attribute table by two or more fields
2008-07-03 08:12 AM - cdavilam -

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 11197
Description

Currently attribute table can be sorted by only one column, which is not enough in many cases. It would be nice to be able to order table
by two or more columns

History

#1 - 2010-06-11 10:32 PM - Paolo Cavallini

Can't you get the desired result by sorting by the two or more columns one at a time?

#2 - 2010-06-12 04:03 AM - cdavilam -

Replying to [comment:5 pcav]:

Can't you get the desired result by sorting by the two or more columns one at a time?

No, it's not useful. Imagine a cadastre layer in which a municipality is divided in polygons and polygons in parcels. What | would need is to be able to select

at the same time polygons and parcels and order the table first by polygons and then by parcels within each polygon. If you have only a few polygons in the

municipality you can order by parcels and move up and down the table looking for some parcels of a given polygon, but it you have a lot of polygons you

need to have all parcels of that given polygon together to find those you want.

#3 - 2010-06-12 04:06 AM - Paolo Cavallini

Still unclear: you can select what you want using the query builder, isn't it?

To order by polygons and parcels, first order by parcels, then by polygons.

#4 - 2010-06-12 04:33 AM - cdavilam -

Replying to [comment:7 pcav]:

To order by polygons and parcels, first order by parcels, then by polygons.

Sorry, | don't see how to do it in the query builder.

#5 - 2011-12-16 01:59 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4
#6 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:28 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-02-08 08:13 AM - Ger CO

Is there any update on this? Would be really helpfull

#9 - 2017-02-08 08:31 AM - Harrissou Santanna

- Assignee deleted (nobody -)
- Pull Request or Patch supplied set to No

right click on colum header provides an option to sort columns see

http://qgis.org/en/site/forusers/visualchangelog216/index.html#feature-new-configuration-options-for-attribute-table or

http://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/attribute_table.html#selecting-features-in-an-attribute-table (the paragraph just

above)

#10 - 2017-02-08 10:28 AM - Ger CO

@ Harrissou Santanna: It is true. Sorting now works with multiple columns using the || operator. Thanks for pointing that out!

#11 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2017-05-01 11:20 AM - Regis Haubourg

- Resolution set to fixed/implemented
- Status changed from Open to Closed
